import { RedisClient } from '../refs/redis-tool';
/**
 *
 * @date 2021-12-06 17:03:45
 * @author 吴锋霖
 */
declare class RedisClientFactory {
    host: string;
    port: number;
    database: number;
    password: string;
    private redisClient;
    init(): Promise<void>;
    get(): RedisClient;
}
export { RedisClientFactory, RedisClient };
